Gmail Plus Addressing
Create plus addresses like jane+shopping@gmail.com that all arrive in your inbox. Or clean a list of the plus and dot versions that belong to the same person.
How to use the plus address generator
- On the Create tab, type your email address. A Gmail address works, and so do most others.
- Add a tag for each place you’ll use the address, such as newsletters or shopping. Separate tags with commas.
- Copy the plus addresses. The tool also tells you whether your provider delivers them.
- To clean a list, switch to the Clean tab and paste the addresses. The tool groups the ones that reach the same inbox and gives you the list without duplicates.

What is plus addressing?
Plus addressing means adding a plus sign and a tag to the part of an email address before the @. Mail to jane+travel@gmail.com arrives in the same inbox as mail to jane@gmail.com. The tag stays visible, so you can sort or filter on it.
The standards call it sub-addressing. RFC 5233 uses the plus sign as its example but leaves the separator to each mail system. That fits a broader rule in RFC 5321: only the receiving server decides what the part before the @ means. So whether a plus address works depends entirely on the provider that hosts the inbox.
How Gmail plus addressing works
Google’s help page describes it in one line: add a plus sign and any word before the @. Every version arrives in your inbox. You don’t need to set anything up, and Google doesn’t mention a limit on how many you use.
Gmail also ignores dots. For a gmail.com address, mail sent to any dotted version goes to the same person, so j.a.n.e@gmail.com is jane@gmail.com. And gmail.com and googlemail.com are the same inbox.
Google Workspace accounts on a company domain support plus addresses too. Dots work differently there: Google says periods aren’t ignored in Workspace usernames, so jane.doe@company.com and janedoe@company.com can be two different people.
Filtering mail sent to a plus address
Create a Gmail filter and put the full plus address in the To field. You can also search for it with the deliveredto: operator, for example deliveredto:jane+travel@gmail.com. Look in To or Delivered-To, not From. The tag is on the address the mail was sent to.
Which email providers support plus addressing
Most large providers deliver plus addresses, but not all of them document it. Rows marked “tested” rely on independent tests rather than the provider’s own pages.
| Provider | Plus addresses | Notes |
|---|---|---|
| Gmail · Yes | Yes | Dots in the username are ignored. gmail.com and googlemail.com are the same inbox. |
| Google Workspace · Yes | Yes | Works on company domains. Dots are part of the address. |
| Microsoft 365 · Yes, on by default | Yes, on by default | Receive only. An admin can turn it off for the organization. |
| Outlook.comtested · Yes | Yes | Also for hotmail.com and live.com addresses. Dots are part of the address. |
| Proton Mail · Yes | Yes | Free plan included. Replies go out from the plus address. |
| Fastmail · Yes | Yes | A tag that matches a folder name files the mail there. Subdomain addresses work too. |
| iCloud Mailtested · Yes, in tests | Yes, in tests | Works for icloud.com and me.com in independent tests. Apple doesn’t document it. |
| Yandex Mail · Yes | Yes | Addresses like login+word@yandex.ru. |
| Yahoo Mail · Not confirmed | Not confirmed | Yahoo documents disposable addresses with a dash instead: nickname-keyword@yahoo.com. |
For AOL, Zoho Mail, GMX and mail.com we couldn’t find documentation either way. Send yourself a test email before you rely on a plus address there.
Can you send from a plus address?
It depends on the provider, and this is where many guides go wrong:
- Microsoft 365: no. Microsoft’s documentation says users can’t send email from plus addresses.
- Proton Mail: yes. Replies to a plus address go out from that address by default.
- Fastmail: yes, after you add the address in your settings.
- Gmail: Google doesn’t document it. Some guides add the plus address under Send mail as, which allows up to 99 addresses. Google has announced that Send mail as will stop working for third-party addresses from January 2027. Addresses you own in Gmail aren’t affected.
What plus addresses are good for, and their limits
People use them to sort mail into folders and to spot who shared their address. Developers also use them to test sign-up forms with several accounts that land in one inbox. If spam arrives at jane+shoestore@gmail.com, you know where it came from.
There are limits worth knowing before you rely on it:
- Some websites reject the plus sign. It’s a valid character, and RFC 3696 tells programs to accept it, but Fastmail notes that some sites wrongly treat it as invalid.
- A plus address doesn’t hide your real address. Anyone can delete the tag, and Google itself says these addresses aren’t private.
- If you want privacy, use a forwarding alias instead. Apple’s Hide My Email (with iCloud+) and DuckDuckGo Email Protection create random addresses that forward to you.
Plus addresses and dots in an email list
For anyone who runs a sign-up form, plus addressing has a flip side. One person can sign up as jane@gmail.com, j.ane@gmail.com and jane+2@gmail.com, and your list counts three people. It also enables abuse. In one case reported by security researchers, a group used dotted versions of Gmail addresses for 48 credit card applications and got at least $65,000 in fraudulent credit.
The Clean tab finds these groups. It follows rules that are safe for each provider:
- For gmail.com and googlemail.com, it removes dots and the plus tag.
- For Outlook.com, iCloud, Proton, Fastmail and Yandex, it removes only the plus tag. Dots stay, because they change the address there.
- It leaves Yahoo addresses alone. A Yahoo disposable address uses a nickname that isn’t the account name, so it can’t be traced back.
- It leaves company domains alone unless you tick the option. Each mail server decides what a plus sign means, and on some servers it’s part of a real mailbox name.
Use the result to spot duplicates, not to rewrite addresses. Keep sending to the address exactly as the person entered it, so their filters keep working. The tool keeps the first address of each group unchanged for that reason.
Merging duplicates doesn’t tell you whether an address still works. Run the cleaned list through the bulk email verifier before you send, or check one address with the email checker. To flag addresses from free providers, see the list of free email providers, and for throwaway inboxes, the disposable email checker.
Frequently asked questions
It’s a way to make extra versions of your Gmail address. You add a plus sign and a word before the @, such as jane+shopping@gmail.com. Mail sent to any of them arrives in your normal inbox, and you can filter on the word.
Yes. Outlook.com addresses accept plus addresses, and Microsoft turns plus addressing on by default for Microsoft 365 business accounts. In Microsoft 365 you can receive at a plus address, but you can’t send from one.
Not for gmail.com addresses. Google says mail sent to any dotted version of your address goes to you, so jane.doe@gmail.com and janedoe@gmail.com are one inbox. In Google Workspace accounts on a company domain, dots do change the address.
Google doesn’t document it. Some guides add the plus address in Gmail’s settings under Send mail as, which lets you choose it as the From address. Microsoft 365 doesn’t allow sending from plus addresses at all, while Proton Mail replies from the plus address by default.
Because its sign-up form checks addresses too strictly. The plus sign is a valid character in an email address, and RFC 3696 says programs should accept it. Fastmail notes that some websites wrongly treat it as invalid. Use your normal address on those sites.
Not quite. A plus address is your real address with a tag, so anyone can remove the tag and see your inbox address. An alias from Apple’s Hide My Email or DuckDuckGo Email Protection is different. It’s a random address that forwards to you and hides your real one.
Yes. Google’s own example uses a company domain: cassy+news@solarmora.com. The difference from gmail.com is that dots are part of the address in Workspace, so only the plus part is a tag.
Google doesn’t state a number. The practical limit is length. The part before the @ can be at most 64 characters, counting your name, the plus sign and the tag.
Know which addresses on your list still work
Giggal checks every address before you send, catch-all domains included, so merged duplicates and dead addresses don’t become bounces. 1,000 free credits.
